Subject: (CVS repository problem) Re: Programs fail to recognize paths.
From: Andrew Markebo <[email-masked]>
To: Michael Labhard <[email-masked]>
Cc: [email-masked]
Date: 27 Mar 2002 20:40:00 +0100

Hmm weird, no idea, continue digging on the mailinglist, BTW What kind
of mounts do you have, if you type mount what does it say, do you have
more than one cvs.exe around?? 

        /Andy

/ Michael Labhard <[email-masked]> wrote:
| Thanks, again, for the reply.
| 
| Tried /cygdrive/c/... also without success.  Init'ed repository with
| 
| 	cvs -d /usr/local/cvs-repository init
| 
| Interesting thing is that if I init another repository it works for that 
| session.  When I shutdown the computer and come back to it at the next 
| session the new repository is not recognized.  Here is output from all of my 
| attempts.  Very confused!!  Sorry to take up so much of your time but seems 
| like CVS would be important to have working under CygWin.  REALLY LOVE CygWin 
| in every other way.  This is the only application I have had trouble with in 
| CygWin to any major extent.  CygWin is a tremendously useful piece of 
| software and I am extremely delighted to have it.
| 
| -- Michael
| 
| 
| The Owner@HOME-KE6PIJUPJP ~
| $ cd projects/dde
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ cvs -d /cygdrive/c/cygwin/usr/local/cvs-repository update
| cvs update: Updating .
| cvs update: cannot open directory 
| /cygdrive/c/cygwin/usr/local/cvs-repository/dd
| : No such file or directory
| cvs update: skipping directory
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ ls /cygdrive/c/cygwin/usr/local/cvs-repository
| CVSROOT  cvslocks  dde
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ ls c:/cygwin/usr/local/cvs-repository
| CVSROOT  cvslocks  dde
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ cvs -d c:/cygwin/usr/local/cvs-repository update
| c: Unknown Host
| cvs [update aborted]: end of file from server (consult above messages if any)
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ cvs -d /usr/local/cvs-repository update
| cvs update: Updating .
| : No such file or directoryectory /usr/local/cvs-repository/dde
| cvs update: skipping directory
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ cvs update
| cvs update: in directory .:
| cvs update: ignoring CVS/Root because it specifies a non-existent repository 
| /us
| r/local/cvs-repository
| cvs update: in directory .:
| cvs update: ignoring CVS/Root because it specifies a non-existent repository 
| /us
| r/local/cvs-repository
| cvs update: in directory .:
| cvs update: ignoring CVS/Root because it specifies a non-existent repository 
| /us
| r/local/cvs-repository
| cvs update: Updating .
| cvs update: in directory .:
| cvs update: ignoring CVS/Root because it specifies a non-existent repository 
| /us
| r/local/cvs-repository
| : No such file or directoryectory /usr/local/cvs-repository/dde
| cvs update: skipping directory
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $ ls /usr/local/cvs-repository
| CVSROOT  cvslocks  dde
| 
| The Owner@HOME-KE6PIJUPJP ~/projects/dde
| $
| 

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/